%*******************************************************
% SYMMAT_PRINT:
% Print a symbolic expresison to a evaluateable function.
%*******************************************************
function str = symmat_print(x)
 msize = size(x);
if isa(x, 'double')
    %Not actually symbolic
    str = mat2str(x);
    
elseif length(msize)==3
    %Make matrix into a string (good for multi-dimensional arrays)
    str = char(x(:));
    str = ['reshape( ' str(8:end-1) ',[' num2str(msize), '])'];
else
    %For one and two-dimensional matrices
    str = char(x);
    str = str(8:end-1);
    
    %Make into matlab matrix notation
    row_idx = strfind(str, '],');
    for j = 1:length(row_idx)
        str(row_idx(j):row_idx(j)+1)='];';
    end
end